name: Upload
run-name: ${{ gitea.actor }} is Upload my Blog
on: [push]

jobs:
  Explore-Gitea-Actions:
    runs-on: ubuntu-latest
    steps:

      - name: Check out repository code
        uses: actions/checkout@v3
      - run: cd ${{ gitea.workspace }} && bash ./upload.sh
      - run: curl "https://www.xn--ghqz22d40r52n.net/gotify/message?token=Ah76AVlCxRm10gb" -F "title=主页上传" -F "message=${{ gitea.event.commits[0].message }} ${{ job.status }}"
      - run: echo "🍏 This job's status is ${{ job.status }}."